### Function

# Gck Session open_finish

#### Declaration [src]

    GckSession*
    gck_session_open_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the result of an open session operation.

#### Parameters

`result` | `GAsyncResult`
| The result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckSession`
| The new session.
| The caller of the function takes ownership of the data, and is responsible for freeing it.